package com.boman.web.core.service.jflow.impl;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.TaskDto;
import com.boman.jflow.api.RemoteJflowService;
import com.boman.web.core.service.jflow.JFlowTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class JFlowTaskServiceImpl implements JFlowTaskService {

    @Autowired
    private RemoteJflowService remoteJflowService;

    @Override
    public AjaxResult historyLoad(TaskDto taskDto) {
        return remoteJflowService.historySearchInPage(taskDto);
    }

    @Override
    public AjaxResult pendingTaskSearch(TaskDto taskDto) {
        return remoteJflowService.pendingTaskSearch(taskDto);
    }

    @Override
    public JSONObject approvalStatistics(TaskDto taskDto) {
        return remoteJflowService.approvalStatistics(taskDto);
    }

}
